%define core_major 5
%define gui_major 5
%define qt_major 2
%define tag_major 3
%define libaudcore %mklibname audcore %{core_major}
%define libaudgui %mklibname audgui %{gui_major}
%define libaudqt %mklibname audqt %{qt_major}
%define libaudtag %mklibname audtag %{tag_major}
%define devname %mklibname %{name} -d

Summary:	A versatile and handy media player
Name:		audacious
Version:	3.9
Release:	3
Epoch:		5
License:	GPLv3+
Group:		Sound
Url:		http://audacious-media-player.org/
Source0:	http://distfiles.audacious-media-player.org/%{name}-%{version}.tar.bz2
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libguess)
BuildRequires:	pkgconfig(libmcs)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Suggests:	audacious-pulse
Suggests:	audacious-plugins
# For MIDI playing
Suggests:	fluidsynth

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%files -f %{name}.lang
%doc AUTHORS COPYING
%{_bindir}/audtool
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/*

#-----------------------------------------------------------------------------

%package -n %{libaudcore}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}audacious5 < 5:3.9-2

%description -n %{libaudcore}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%files -n %{libaudcore}
%{_libdir}/libaudcore.so.%{core_major}*

#-----------------------------------------------------------------------------

%package -n %{libaudgui}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}audacious5 < 5:3.9-2

%description -n %{libaudgui}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%files -n %{libaudgui}
%{_libdir}/libaudgui.so.%{gui_major}*

#-----------------------------------------------------------------------------

%package -n %{libaudqt}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}audacious5 < 5:3.9-2

%description -n %{libaudqt}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%files -n %{libaudqt}
%{_libdir}/libaudqt.so.%{qt_major}*

#-----------------------------------------------------------------------------

%package -n %{libaudtag}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}audacious4 < 5:3.9
Conflicts:	%{_lib}audacious5 < 5:3.9-2
Obsoletes:	%{_lib}audacious4 < 5:3.9
Obsoletes:	%{_lib}audacious5 < 5:3.9-2

%description -n %{libaudtag}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%files -n %{libaudtag}
%{_libdir}/libaudtag.so.%{tag_major}*

#-----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libaudcore} = %{EVRD}
Requires:	%{libaudgui} = %{EVRD}
Requires:	%{libaudqt} = %{EVRD}
Requires:	%{libaudtag} = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the files needed for developing applications
which use %{name}.

%files -n %{devname}
%doc AUTHORS COPYING
%{_includedir}/%{name}
%{_includedir}/libaudcore
%{_includedir}/libaudgui
%{_includedir}/libaudqt
%{_libdir}/libaud*.so
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--enable-qt
%make

%install
%makeinstall_std

# Since we now enable the Qt5 interface,
# provide a .desktop file for running it by duplicating and adapting the original one
cp %{buildroot}%{_datadir}/applications/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}-qt.desktop
desktop-file-edit \
	--set-key=Exec \
	--set-value="%{name} --qt %U" \
	--remove-category=GTK \
	--add-category=Qt \
	--add-not-show-in="GNOME;MATE;" \
	%{buildroot}%{_datadir}/applications/%{name}-qt.desktop

# Fix .desktop file for gtk to not be shown in QT DEs
desktop-file-edit \
	--add-not-show-in="KDE;LXQt;" \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# install the contributed appdata.xml file
install -d %{buildroot}%{_datadir}/appdata
install -m 644 contrib/%{name}.appdata.xml %{buildroot}%{_datadir}/appdata

# We have them in %%doc
rm -f %{buildroot}%{_datadir}/%{name}/{AUTHORS,COPYING}

%find_lang %{name}


%changelog
